# Acknowledge an andon call (/docs/api-reference/andon/AndonController_acknowledge)

`PATCH /api/factories/{factoryId}/andon-calls/{id}/acknowledge`

Base URL: https://api.xentr.ai

Authentication: bearer token (`Authorization: Bearer <token>`).

## Parameters

| Name | In | Required | Type | Description |
| --- | --- | --- | --- | --- |
| `factoryId` | path | yes | string | Factory ID |
| `id` | path | yes | string | Andon call ID |

## Request body

Required.

Content type: `application/json`

```json
{
  "type": "object",
  "properties": {
    "acknowledgedBy": {
      "type": "string",
      "description": "User id of the supervisor who acknowledged the call.",
      "example": "a1b2c3d4-1111-2222-3333-444455556666"
    }
  }
}
```

## Responses

### 200: Andon call acknowledged

### 404: Andon call not found